## percona-xtrabackup-80 8.0.28-20

=== debian/changelog ===
percona-xtrabackup-80 (8.0.28-20-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.28-20

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 19 Apr 2022 18:42:06 +0000
