## percona-xtrabackup-80 8.0.28-21

=== debian/changelog ===
percona-xtrabackup-80 (8.0.28-21-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.28-21

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 19 May 2022 12:53:52 +0000
