## percona-xtrabackup-80 8.0.30-23

=== debian/changelog ===
percona-xtrabackup-80 (8.0.30-23-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.30-23

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 08 Nov 2022 10:44:15 +0000
