## percona-xtrabackup-80 8.0.31-24

=== debian/changelog ===
percona-xtrabackup-80 (8.0.31-24-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.31-24

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 30 Jan 2023 13:42:35 +0000
